Bug 1686851 - nm-connection-editor should be moved to the X-GNOME-Utilities folder
Summary: nm-connection-editor should be moved to the X-GNOME-Utilities folder
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-menus
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F30BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-03-08 14:00 UTC by Daniel Rusek
Modified: 2019-03-18 20:41 UTC (History)
13 users (show)

Fixed In Version: gnome-software-3.32.0-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-18 20:41:51 UTC
Type: Bug


Attachments (Terms of Use)
Desktop menu under newly created user account (517.05 KB, image/png)
2019-03-08 19:06 UTC, Daniel Rusek
no flags Details

Description Daniel Rusek 2019-03-08 14:00:07 UTC
Description of problem:
"Advanced Network Configuration" (nm-connection-editor) currently appears in the Sundry folder on Fedora. However, it was already moved to the Utilities folder in upstream. Because of this, it needs to be moved from "X-GNOME-Sundry" to "X-GNOME-Utilities" in the default Fedora gsettings-desktop-schemas as well or it will be displayed in both the Utilities and Sundry folders after the upstream changes (see Additional info) land in Fedora.

Version-Release number of selected component (if applicable):
gsettings-desktop-schemas-3.31.91-2.fc31.x86_64

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=1677732#c7

Comment 1 Kalev Lember 2019-03-08 15:18:03 UTC
Should be fixed in gnome-menus 3.31.92

Comment 2 Fedora Update System 2019-03-08 15:20:51 UTC
at-spi2-atk-2.31.92-1.fc30 at-spi2-core-2.31.92-1.fc30 atomix-3.31.92-1.fc30 bijiben-3.31.92-1.fc30 dconf-0.31.92-1.fc30 eog-3.31.91-1.fc30 epiphany-3.31.92-1.fc30 file-roller-3.31.92-1.fc30 five-or-more-3.31.92-1.fc30 four-in-a-row-3.31.92-1.fc30 gedit-3.31.92-1.fc30 gjs-1.55.92-1.fc30 glib-networking-2.59.92-1.fc30 glib2-2.60.0-2.fc30 gnome-boxes-3.31.91-1.fc30 gnome-builder-3.31.92-1.fc30 gnome-calculator-3.31.92-1.fc30 gnome-chess-3.31.92-1.fc30 gnome-control-center-3.31.92-1.fc30 gnome-desktop3-3.31.92-1.fc30 gnome-disk-utility-3.31.92-1.fc30 gnome-documents-3.31.92-1.fc30 gnome-keyring-3.31.91-1.fc30 gnome-klotski-3.31.92-1.fc30 gnome-mahjongg-3.31.92-1.fc30 gnome-maps-3.31.92-1.fc30 gnome-menus-3.31.92-1.fc30 gnome-mines-3.31.92-1.fc30 gnome-music-3.31.92-1.fc30 gnome-settings-daemon-3.31.92-1.fc30 gnome-shell-3.31.92-1.fc30 gnome-shell-extensions-3.31.92-1.fc30 gnome-software-3.31.92-1.fc30 gnome-sound-recorder-3.31.92-1.fc30 gnome-sudoku-3.31.92-1.fc30 gnome-system-monitor-3.31.92-1.fc30 gnome-tetravex-3.31.92-1.fc30 gnome-user-share-3.32.0-1.fc30 gnome-weather-3.31.92-1.fc30 gobject-introspection-1.59.5-1.fc30 gsettings-desktop-schemas-3.31.92-1.fc30 gvfs-1.39.92-1.fc30 hitori-3.31.92-1.fc30 libchamplain-0.12.19-1.fc30 libdazzle-3.31.92-1.fc30 libsecret-0.18.8-1.fc30 libsoup-2.65.92-1.fc30 lightsoff-3.31.92-1.fc30 mousetweaks-3.31.92-1.fc30 mutter-3.31.92-3.fc30 orca-3.31.92-1.fc30 polari-3.31.92-1.fc30 simple-scan-3.31.92-1.fc30 swell-foop-3.31.92-1.fc30 totem-3.31.92-1.fc30 totem-pl-parser-3.26.3-1.fc30 tracker-2.2.1-1.fc30 tracker-miners-2.2.1-1.fc30 vala-0.43.92-1.fc30 vte291-0.55.92-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 3 Daniel Rusek 2019-03-08 19:04:05 UTC
(In reply to Kalev Lember from comment #1)
> Should be fixed in gnome-menus 3.31.92

I just tried it with the gnome-menus-3.31.92-1.fc30.x86_64 package, but unfortunately, it does not seem to be fixed. :-( On my current user account, it stays in the "Sundry" folder; on a newly created user account, it is now without a folder (see the attached screenshot).

Comment 4 Daniel Rusek 2019-03-08 19:06:21 UTC
Created attachment 1542205 [details]
Desktop menu under newly created user account

Comment 5 Fedora Update System 2019-03-08 19:45:13 UTC
at-spi2-atk-2.31.92-1.fc30, at-spi2-core-2.31.92-1.fc30, atomix-3.31.92-1.fc30, bijiben-3.31.92-1.fc30, dconf-0.31.92-1.fc30, eog-3.31.91-1.fc30, epiphany-3.31.92-1.fc30, file-roller-3.31.92-1.fc30, five-or-more-3.31.92-1.fc30, four-in-a-row-3.31.92-1.fc30, gedit-3.31.92-1.fc30, gjs-1.55.92-1.fc30, glib-networking-2.59.92-1.fc30, glib2-2.60.0-2.fc30, gnome-boxes-3.31.91-1.fc30, gnome-builder-3.31.92-1.fc30, gnome-calculator-3.31.92-1.fc30, gnome-chess-3.31.92-1.fc30, gnome-control-center-3.31.92-1.fc30, gnome-desktop3-3.31.92-1.fc30, gnome-disk-utility-3.31.92-1.fc30, gnome-documents-3.31.92-1.fc30, gnome-keyring-3.31.91-1.fc30, gnome-klotski-3.31.92-1.fc30, gnome-mahjongg-3.31.92-1.fc30, gnome-maps-3.31.92-1.fc30, gnome-menus-3.31.92-1.fc30, gnome-mines-3.31.92-1.fc30, gnome-music-3.31.92-1.fc30, gnome-settings-daemon-3.31.92-1.fc30, gnome-shell-3.31.92-1.fc30, gnome-shell-extensions-3.31.92-1.fc30, gnome-software-3.31.92-1.fc30, gnome-sound-recorder-3.31.92-1.fc30, gnome-sudoku-3.31.92-1.fc30, gnome-system-monitor-3.31.92-1.fc30, gnome-tetravex-3.31.92-1.fc30, gnome-user-share-3.32.0-1.fc30, gnome-weather-3.31.92-1.fc30, gobject-introspection-1.59.5-1.fc30, gsettings-desktop-schemas-3.31.92-1.fc30, gvfs-1.39.92-1.fc30, hitori-3.31.92-1.fc30, libchamplain-0.12.19-1.fc30, libdazzle-3.31.92-1.fc30, libsecret-0.18.8-1.fc30, libsoup-2.65.92-1.fc30, lightsoff-3.31.92-1.fc30, mousetweaks-3.31.92-1.fc30, mutter-3.31.92-3.fc30, orca-3.31.92-1.fc30, polari-3.31.92-1.fc30, simple-scan-3.31.92-1.fc30, swell-foop-3.31.92-1.fc30, totem-3.31.92-1.fc30, totem-pl-parser-3.26.3-1.fc30, tracker-2.2.1-1.fc30, tracker-miners-2.2.1-1.fc30, vala-0.43.92-1.fc30, vte291-0.55.92-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6ce38b68d8

Comment 6 Fedora Update System 2019-03-12 17:00:42 UTC
at-spi2-atk-2.31.92-1.fc30, at-spi2-core-2.31.92-1.fc30, atomix-3.31.92-1.fc30, bijiben-3.31.92-1.fc30, dconf-0.31.92-1.fc30, eog-3.31.91-1.fc30, epiphany-3.31.92-1.fc30, file-roller-3.31.92-1.fc30, five-or-more-3.31.92-1.fc30, four-in-a-row-3.31.92-1.fc30, gedit-3.31.92-1.fc30, gjs-1.55.92-1.fc30, glib-networking-2.59.92-1.fc30, glib2-2.60.0-2.fc30, gnome-boxes-3.31.91-1.fc30, gnome-builder-3.31.92-1.fc30, gnome-calculator-3.31.92-1.fc30, gnome-chess-3.31.92-1.fc30, gnome-control-center-3.31.92-1.fc30, gnome-desktop3-3.31.92-1.fc30, gnome-disk-utility-3.31.92-1.fc30, gnome-documents-3.31.92-1.fc30, gnome-keyring-3.31.91-1.fc30, gnome-klotski-3.31.92-1.fc30, gnome-mahjongg-3.31.92-1.fc30, gnome-maps-3.31.92-1.fc30, gnome-menus-3.31.92-1.fc30, gnome-mines-3.31.92-1.fc30, gnome-music-3.31.92-1.fc30, gnome-settings-daemon-3.31.92-1.fc30, gnome-shell-3.31.92-1.fc30, gnome-shell-extensions-3.31.92-1.fc30, gnome-software-3.31.92-1.fc30, gnome-sound-recorder-3.31.92-1.fc30, gnome-sudoku-3.31.92-1.fc30, gnome-system-monitor-3.31.92-1.fc30, gnome-tetravex-3.31.92-1.fc30, gnome-user-share-3.32.0-1.fc30, gnome-weather-3.31.92-1.fc30, gobject-introspection-1.59.5-1.fc30, gsettings-desktop-schemas-3.31.92-1.fc30, gvfs-1.39.92-1.fc30, hitori-3.31.92-1.fc30, libchamplain-0.12.19-1.fc30, libdazzle-3.31.92-1.fc30, libsecret-0.18.8-1.fc30, libsoup-2.65.92-1.fc30, lightsoff-3.31.92-1.fc30, mousetweaks-3.31.92-1.fc30, mutter-3.31.92-3.fc30, orca-3.31.92-1.fc30, polari-3.31.92-1.fc30, simple-scan-3.31.92-1.fc30, swell-foop-3.31.92-1.fc30, totem-3.31.92-1.fc30, totem-pl-parser-3.26.3-1.fc30, tracker-2.2.1-1.fc30, tracker-miners-2.2.1-1.fc30, vala-0.43.92-1.fc30, vte291-0.55.92-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Daniel Rusek 2019-03-12 17:50:21 UTC
Still not fixed (see previous comments).

Comment 8 Kalev Lember 2019-03-12 18:27:05 UTC
Reopening then.

https://gitlab.gnome.org/GNOME/gnome-menus/commit/b4600621efefd75b58486729e806a81a1014ee4b was supposed to move it to Utilities, but apparently, it didn't work. Could use help figuring out what's missing from there (does it need to be blacklisted from another category, maybe?).

Comment 9 Daniel Rusek 2019-03-13 12:50:17 UTC
Kalev, I see that in case of gnome-abrt you also put the desktop filename to the <Exclude> tag for some reason: https://gitlab.gnome.org/GNOME/gnome-menus/commit/aeaec65c7c68e7eab1f9c9c2e28a8a9292f16216

Comment 10 Kalev Lember 2019-03-13 13:13:33 UTC
I just restored the same exclude that was there before the Sundry removal without really understanding why it was there. So maybe nm-connection-editor needs something similar?

Comment 11 Daniel Rusek 2019-03-13 13:18:49 UTC
Yeah, maybe. But it can be the exact opposite - Abrt was previously displayed only in the Sundry category, not Utilities, so the exclude that previously made sense should not be there anymore. But I am really not sure how this works so I may be completely wrong. :)

Comment 12 Daniel Rusek 2019-03-13 13:20:21 UTC
(Previously = before the Sundry category removal.)

Comment 13 Kalev Lember 2019-03-15 15:34:43 UTC
This should be hopefully fixed by https://gitlab.gnome.org/GNOME/gnome-software/commit/f82457c079ab887de448dd0f01bfb0a3daaff70e now. Florian helped figure out what's going on here.

When testing this, note that I believe this only takes effect for newly created users.

I've backported the patch to gnome-software-3.32.0-3.fc30 . Proposing as a FE: Would be nice to have this as a freeze exception for F30 Beta for some nice easy polish (avoid having an unwanted app in the most prominent, first position in the main app grid).

Comment 14 Fedora Update System 2019-03-15 15:40:05 UTC
gnome-software-3.32.0-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7754c39a82

Comment 15 Fedora Update System 2019-03-16 20:18:05 UTC
gnome-software-3.32.0-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7754c39a82

Comment 16 Geoffrey Marr 2019-03-18 18:29:30 UTC
Discussed during the 2019-03-18 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedFreezeException" was made as this bug is quite visible in the Workstation live image (so cannot be fixed with an update) and the fix is very safe.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-03-18/f30-blocker-review.2019-03-18-16.03.txt

Comment 17 Fedora Update System 2019-03-18 20:41:51 UTC
gnome-software-3.32.0-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.